%define upstream_name Dist-Zilla-Util-BundleInfo
%define upstream_version 1.001004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Load and interpret a bundle
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir)
BuildRequires: perl(Dist::Zilla::PluginBundle::Basic)
BuildRequires: perl(Dist::Zilla::PluginBundle::Classic)
BuildRequires: perl(Dist::Zilla::Role::Plugin)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle)
BuildRequires: perl(Dist::Zilla::Util)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 1.0.8
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Load and interpret a bundle.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.1.4-2.mga6
+ Revision: 1026757
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 1.1.4-1.mga6
+ Revision: 1007805
- update to 1.001004

* Thu Feb 18 2016 umeabot <umeabot> 1.1.3-2.mga6
+ Revision: 966518
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 1.1.3-1.mga6
+ Revision: 845880
- imported package perl-Dist-Zilla-Util-BundleInfo

